#ifndef __RD110_H__
#define __RD110_H__

#ifdef WINDRIVER_EXPORTS
#define WIN32_DLL_API extern "C" __declspec(dllexport)
#else
#define WIN32_DLL_API extern "C" __declspec(dllimport)
#endif

//Attention: always returns a value, to check for errors please call RD110_Output(board,0,0);
WIN32_DLL_API unsigned long _stdcall RD110_Input(unsigned long board);
WIN32_DLL_API unsigned long _stdcall RD110_GetOutput(unsigned long board);

WIN32_DLL_API long _stdcall RD110_Output(unsigned long board,unsigned long mask_set,unsigned long mask_reset);

//Return values
#define RD110_OK 1
#define RD110_ERROR 0

//Macros
#define RD110_In(board,signal) (RD110_Input((board))&(1<<(signal)))
#define RD110_Set(board,signal) RD110_Output((board),1<<(signal),0)
#define RD110_Reset(board,signal) RD110_Output((board),0,1<<(signal))

#endif	//__RD110_H__